select
   an.numero as numero,
   an.nome as nome,
   an.dtnascimento as data_nascimento,
   cat.nome as categoria,
  (select grausangue from sp_calculagrausangue(an.cdanimal)) as grau_sangue,
  (case sp.creprodutiva when 1 then 'Inseminada/Coberta' when 2 then 'Implantada' when 3 then 'Gestante'
   when 4 then 'Vazia' else null end) as situacao_reprodutiva,
  (case sp.cprodutiva when 3 then 'Seca/Solteira' when 4 then 'Em lactao/Parida' else null end) as situacao_produtiva
from
  animal an
---INFORMAR A DATA NO FORMATO AAAA-MM-DD (NO RETIRAR ASPAS SIMPLES)
  join sp_categoriaanimal('2018-01-31', '') sp on sp.animal = an.cdanimal
  join categoria cat on cat.cdcategoria = sp.cbasica
  left join pessoa pes on pes.cdpessoa = an.cdproprietario
where
  an.dtbaixa is null 
  and an.tipoanimal = 'A'
  and an.animalrebanho = 1